curl --request GET \
--url 'https://api.stateset.com/api/v1/currencies/rates' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"rates": [
{
"base_currency": "USD",
"quote_currency": "USD",
"rate": "string",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
List rates
List rates
GET
/
api
/
v1
/
currencies
/
rates
curl --request GET \
--url 'https://api.stateset.com/api/v1/currencies/rates' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"rates": [
{
"base_currency": "USD",
"quote_currency": "USD",
"rate": "string",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
Query parameters
string
integer (int32)
integer (int32)
Response
ExchangeRateListResponse
ExchangeRateResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/currencies/rates' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"rates": [
{
"base_currency": "USD",
"quote_currency": "USD",
"rate": "string",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102
}
Last modified on August 31, 2026